Name: upx
Version: 2.02
Release: alt1
Packager: Fr. Br. George <george@altlinux.ru>
Summary: The Ultimate Packer for eXecutables
License: GPL
Group: Archiving/Compression
Url: http://upx.sourceforge.net

Source: %url/download/%name-%version-src.tar.gz

BuildRequires: gcc-c++, libucl-devel, zlib-devel

%description
UPX is an advanced executable file compressor.  UPX will typically
reduce the file size of programs and DLLs by around 50%%-70%%, thus
reducing disk space, network load times, download times and other
distribution and storage costs.

Programs and libraries compressed by UPX are completely self-contained
and run exactly as before, with no runtime or memory penalty for most
of the supported formats.

UPX supports a number of different executable formats, including
Win95/98/ME/NT/2000 programs and DLLs, DOS programs, and Linux executables.

%prep
%setup -q -n %name-%version-src
# Got it from FC, they're thinking it's useful
subst 's/ -O2 / /' src/Makefile
subst 's/ -Werror//' src/Makefile

%build
%make_build -C doc upx.1
%make_build -C src target=linux CXX=g++ CCARCH="%optflags" UCLDIR=%prefix exeext=

%install
install -pD -m755 src/upx $RPM_BUILD_ROOT%_bindir/upx
install -pD -m644 doc/upx.1 $RPM_BUILD_ROOT%_man1dir/upx.1

%files
%doc BUGS LICENSE NEWS PROJECTS README* THANKS doc/*.txt
%_bindir/*
%_man1dir/*

%changelog
* Tue Oct 24 2006 Fr. Br. George <george@altlinux.ru> 2.02-alt1
- GEAR adapted
- Version up

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.25-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Oct 08 2004 Dmitry V. Levin <ldv@altlinux.org> 1.25-alt1
- Specfile cleanup.

* Wed Jun 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.25-2mdk
- enable parallel build
- fix used build flags
- fix description (Stef)

* Wed Jun 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.25-1mdk
- requires new ucl
- drop prefix
- download URL
- New release 1.25

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.24-3mdk
- rebuild for new g++

* Sun Apr  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.24-2mdk
- fix for new ucl header location

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.24-1mdk
- new version

* Mon Oct 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.23-1mdk
- new version

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 1.22-3mdk
- Rebuild with gcc3.2

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.22-2mdk
- gcc 3.2 build

* Fri Jun 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.22-1mdk
- new version
- minor spec file fixes

* Fri Jun  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.21-1mdk
- update URL
- License instead of Copyright
- fix build, link with g++
- quiet tar
- 1.21

* Mon Jun 18 2001 HA Quc-Vit <viet@mandrakesoft.com> 1.20-1mdk
- Ugly perl -pi -e to include the correct headers from ucl.
- Ugly perl -pi -e to take care of a difficult Makefile.
- Initial packaging.
- TODO see if need NRZ or not
